Authentication

How authentication works


All calls to the API4All endpoints are authenticated using Bearer Authentication.

Before making your first API call you will need to generate a bearer token using the authentication endpoint.


Live Authentication endpoint: https://live.api4all.io/api/oauth/token




POST /oauth/token - See Documentation for this call


Request Body:

{
  "grant_type": "password",
  "client_id": 1010,
  "client_secret": "asecrethash",
  "username": "demo.user",
  "password": "not123456"
}

You should replace the client_id, client_secret, username and password with the values you received from your account manager.

By default bearer tokens are valid for 2 years on the UAT endpoint and for 1 day on the live endpoint.

A valid access token must be included in all subsequent calls to the API4All endpoints.